/* selected resets from normalise, CSS Tricks, H5BP */
/* Universal Box Sizing with Inheritance */
@layer reset {
	html {
		-webkit-text-size-adjust: 100%;
		font-kerning: normal;
		box-sizing: border-box;
	}
	/* note: Bug with using inherit on box-sizing in Chrome in <details> */
	*, *::before, *::after { box-sizing: border-box; }

	small { font-size: 80%; }

	/* Prevent `sub` and `sup` elements from affecting the line height in all browsers. */
	sub, sup {
		font-size: 75%;
		line-height: 0;
		position: relative;
		vertical-align: baseline;
	}
	sub { bottom: -0.25em; }
	sup { top: -0.5em; }

	button, input { overflow: visible; }

	/* Remove the inheritance of text transform in Edge, Firefox, and IE. */
	button, select { text-transform: none; }

	section, nav, header, footer, div, dl, dt, dd, ul, ol, li, h1, h2, h3, h4, h5, h6, pre, form, p, blockquote, th, td {
		margin: 0;
		padding: 0;
	}

	table {
		border-collapse: collapse;
		border-spacing: 0;
	}

	audio, canvas, iframe, img, svg, video {
		vertical-align: middle;
	}

	fieldset {
		border: 0;
		margin: 0;
		padding: 0;
	}

	/* Restrict to only vertical resizing. */
	textarea {
		resize: vertical;
	}
}

